// src/backend/module.hh - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "config.h"

#include "module.hh"

using namespace sgpem;

Module::Module(const Glib::ustring& identifier) throw(InvalidPluginException) :
  Glib::Module(identifier), _enabled(false), _id(identifier)
{
  //FIXME Don't know what to doh!!!
  throw InvalidPluginException(Glib::Module::get_last_error());
}
  

void 
Module::set_enabled(bool enabled)
{
  //FIXME Don't know what to doh!!!
  _enabled = enabled;
}

Glib::ustring 
Module::get_name() const
{
  //FIXME Don't know what to doh!!!
  return "doh!";
}

Glib::ustring 
Module::get_author() const
{
  //FIXME Don't know what to doh!!!
  return "doh! doh!";
}

Glib::ustring 
Module::describe() const
{
  //FIXME Don't know what to doh!!!
  return "homer insists in saying doh!";
}

float 
Module::get_version() const
{
  //FIXME Don't know what to doh!!!
  return -1.0f;
}

bool 
Module::get_enabled() const
{
  return _enabled;
}
